From 9cc2527cd2943c82cf448dccec564869b0a762e6 Mon Sep 17 00:00:00 2001
From: Junio C Hamano <junkio@cox.net>
Date: Sun, 27 Nov 2005 23:16:15 -0800
Subject: [PATCH] branch: make it operable from a subdirectory.

Signed-off-by: Junio C Hamano <junkio@cox.net>
---
 git-branch.sh | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/git-branch.sh b/git-branch.sh
index 4cd5da16f7..b48c32988f 100755
--- a/git-branch.sh
+++ b/git-branch.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-. git-sh-setup
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
 
 usage () {
     echo >&2 "usage: $(basename $0)"' [-d <branch>] | [[-f] <branch> [start-point]]
@@ -12,8 +12,7 @@ If two arguments, create a new branch <branchname> based off of <start-point>.
     exit 1
 }
 
-headref=$(GIT_DIR="$GIT_DIR" git-symbolic-ref HEAD |
-	sed -e 's|^refs/heads/||')
+headref=$(git-symbolic-ref HEAD | sed -e 's|^refs/heads/||')
 
 delete_branch () {
     option="$1"
@@ -114,4 +113,3 @@ then
 	fi
 fi
 git update-ref "refs/heads/$branchname" $rev
-
-- 
2.48.1